RULEXDB_CLASSIFY(3)

NAME
rulexdb_classify - test specified word whether it represents a lexical base

SYNOPSIS
#include <rulexdb.h>

int rulexdb_classify(RULEXDB *rulexdb, const char *s);

DESCRIPTION
The rulexdb_classify() function tests the word pointed by s argument trying to determine if it can be treated as a lexical base according to the rulex database referenced by rulexdb argument.

RETURN VALUE
The rulexdb_classify() function returns RULEXDB_SUCCESS which is zero when the word represents no lexical base, positive value RULEXDB_SPECIAL when the word can be treated as a lexical base, or negative error code if something is wrong.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EMALLOC
    Internal memory allocation error.

RULEXDB_EPARM
    Invalid parameters are specified.

SEE ALSO
rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.